Subject: Re: [RFC PATCH net-next 1/1] Introduce skbmod action

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 16 Jul 2016 10:28:40 -0400

On 16-07-12 01:10 PM, Cong Wang wrote:
> On Mon, Jul 11, 2016 at 5:12 AM, Jamal Hadi Salim <[email-masked]> wrote:
>> From: Jamal Hadi Salim <[email-masked]>
>>
>> This action is intended to be an upgrade from a usability perspective
>> from pedit. Compare this:
>>
>
> Definitely agree we need a more user-friendly interface.
>
>>
>> pedit is a good starting point - but once you start going to a large
>> number of policies then from a programmability, ops and usability point
>> of view you need something with more succint params.
>>
>
> But it is still unclear why we can't just build something on top of
> pedit? Since pedit accepts keys like u32, user-space is free to
> introduce any wrapper on top of it.
>

That hasnt served us well so far for reasons i described earlier
especially in the dump case.
It hasnt served u32 as a classifier well either (yes, those dump
wrappers exist on the tc user code); i am almost willing to bet
you didnt even know such a feature existed ;->

> It should not be a problem for libnl3 to build anything on top too.

And I dont use libnl3 either.
Again, as i stated earlier: pedit is a good first starting point.
At some point usability gets in the way and this is a natural next step.

I am going to work on the patch and will add src mac and ethertype for
completion.

cheers,
jamal